// Chilkat Objective-C header.
// This is a generated header file for Chilkat version 10.1.3

// Generic/internal class name =  Dns
// Wrapped Chilkat C++ class name =  CkDns

@class CkoJsonObject;
@class CkoTask;


@class CkoBaseProgress;

@interface CkoDns : NSObject {

	@private
		void *m_eventCallback;
		void *m_obj;

}

- (id)init;
- (void)dealloc;
- (void)dispose;
- (NSString *)stringWithUtf8: (const char *)s;
- (void *)CppImplObj;
- (void)setCppImplObj: (void *)pObj;

- (void)clearCppImplObj;

// property setter: EventCallbackObject
- (void)setEventCallbackObject: (CkoBaseProgress *)eventObj;

@property (nonatomic, copy) NSString *DebugLogFilePath;
@property (nonatomic, copy) NSNumber *HeartbeatMs;
@property (nonatomic, readonly, copy) NSString *LastErrorHtml;
@property (nonatomic, readonly, copy) NSString *LastErrorText;
@property (nonatomic, readonly, copy) NSString *LastErrorXml;
@property (nonatomic) BOOL LastMethodSuccess;
@property (nonatomic, copy) NSNumber *MaxWaitMs;
@property (nonatomic, readonly, copy) NSNumber *NumNameservers;
@property (nonatomic, copy) NSNumber *TlsPref;
@property (nonatomic) BOOL VerboseLogging;
@property (nonatomic, readonly, copy) NSString *Version;
// method: AddDefaultNameservers
- (void)AddDefaultNameservers;
// method: AddNameserver
- (void)AddNameserver: (NSString *)ipAddr 
	supportsTls: (BOOL)supportsTls;
// method: GetNameserver
- (NSString *)GetNameserver: (NSNumber *)index;
// method: Query
- (BOOL)Query: (NSString *)recordType 
	domain: (NSString *)domain 
	answer: (CkoJsonObject *)answer;
// method: QueryAsync
- (CkoTask *)QueryAsync: (NSString *)recordType 
	domain: (NSString *)domain 
	answer: (CkoJsonObject *)answer;
// method: RemoveAllNameservers
- (void)RemoveAllNameservers;
// method: RemoveNameserver
- (void)RemoveNameserver: (NSString *)ipAddr;
// method: SaveLastError
- (BOOL)SaveLastError: (NSString *)path;

@end
